<%@page import="org.xtreemos.wp35.volifecycle.*"%>
<%@page import="org.xtreemos.xvoms.foundation.*"%>
<%@page import="java.util.*"%>
<%@page import="javax.mail.*"%>
<%@page import="javax.mail.internet.*"%>
<%@page import="java.io.*"%>
<%@page import="java.net.*"%>
<%@page import="org.xtreemos.xvoms.voattributes.*"%>
<%
	/*  Left navi menues */
    String[][] defaultMenu = {
        {"Login","uni_view.jsp?module=default&js=user_signin"},
        {"Create an account","uni_view.jsp?module=default&js=user_signup"}
    };
    String[][] userMgtMenu = {
        {"User Management","uni_view.jsp?module=userMgt&js=user_mgt"},
    };
    String[][] userMenu ={
	{"Create a VO","uni_view.jsp?module=user&js=user_create_vo"},
        {"Join a VO","uni_view.jsp?module=user&js=user_join_vo"},
        {"My Pending Requests","uni_view.jsp?module=user&js=user_requests"},
        {"Get an XOS-Cert","uni_view.jsp?module=user&js=user_get_xoscert"},
        {"Generate new keypair","uni_view.jsp?module=user&js=user_gen_keypair"},
        {"About me","uni_view.jsp?module=user&js=user_about_me"},
        {"Change Password","uni_view.jsp?module=user&js=user_passwd"},
        {"Logout","../logout.jsp"}
    };
    String[][] voMenu = {
        {"My Owned VOs","uni_view.jsp?module=vo&js=vo_owned"},
        {"Approve Requests","uni_view.jsp?module=vo&js=vo_requests"},
        {"Manage Groups/roles","uni_view.jsp?module=vo&js=vo_groups"},
        {"Manage Policies","uni_view.jsp?module=vo&js=vo_policies"}
    };
    String[][] resourceMenu = {
        {"Register a RCA","uni_view.jsp?module=resource&js=res_rca"},
        {"Add a Resources","uni_view.jsp?module=resource&js=res_addres"},
        {"Approve Resources","uni_view.jsp?module=resource&js=res_approveres"},
        {"Get Machine Certificates","uni_view.jsp?module=resource&js=vo_get_machcert"}
    };
%>
<%! 
	String makeNavi(String[][] menu, String js)
    {
        String tmp = "<ul>";
	for(int i=0; i<menu.length; i++)
        {
        	tmp += "<li><a ";
        	if( menu[i][1].indexOf(js) != -1)
        		tmp += " class=\"current\" ";
            tmp += "href=\"" + menu[i][1] + "\">" + menu[i][0] + "</a></li>";
        }
        tmp += "</ul>";
        return tmp;
    }
    User getCurrentUser(HttpSession session, XVOMSUtil xu) throws VOException 
    {
    	User currentUser = null;
    	String guid = (String)session.getAttribute("user_guid");
		if(guid != null) {
			currentUser = xu.getUserByGUID(guid);
		}
		return currentUser;
    }
    String failure(String cause)
    {
       	return "{success: false, errors: { reason: '"
		+ cause + "' }}";
	}
    String failure(VOException ve)
    {
		ve.printStackTrace();
       	return "{success: false, errors: { reason: '"
		+ "(" + ve.getErrNo() + ")" + ve.getErrMsg() + "' }}";
	}
	String success()
	{
		return "{success:true}";
	}
	String replace(
		String in,
		String find,
		String replace,
		boolean caseInsensitive) {

		String match;

		if (caseInsensitive) {
			match = in.toLowerCase();
			find = find.toLowerCase();
		} else {
			match = in;
		}

		StringBuffer ret = new StringBuffer();
		int ind1 = 0;
		int ind2 = match.indexOf(find);
		int findLength = find.length();

		for (; ind2 > -1; ind2 = match.indexOf(find, ind1)) {
			ret.append(in.substring(ind1, ind2)).append(replace);

			ind1 = ind2 + findLength;
		}

		ret.append(in.substring(ind1));

		return ret.toString();
	}
%>  
