/*
Copyright (c) 2008 Institute of Computing Technology of Chinese Academy of Sciences, Science and Technology Facilities Council, and Xlab d.o.o.
All rights reserved.

This file is part of VOM. VOM is part of XtreemOS, a Linux-based Grid Operating System, see <http://www.xtreemos.eu> for more details. The XtreemOS project has been developed with the financial support of the European Commission's IST program under contract #FP6-033576.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the XtreemOS project nor the names of its partners and/or contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
Ext.namespace('Xtreemos.data');

Xtreemos.data.introduction='<div align="center" style="padding:0px;"><table border="0" background="../hint_bk.jpg"><tr><td align="left" style="padding:5px;"><font color="white"><p>XtreemOS is a Linux-Based Operating System To Support Virtual Organizations For Next Generation Grids.</p><br><p>This is the demo site for Virtual Organizations(VOs) managed by XtreemOS.<p><br><br><b>XtreemOS Features:</b><br><br><ul><li><b>- Scalability</b> supporting hundreds of  housands of nodes and millions of users dynamically joining and leaving the Grid.<li><b>- Transparency</b> hiding the complexity of the Grid by distributed operating system services allowing to run new and legacy applications seamlessly.<li><b>- Interoperability</b> complying with all major standards such as POSIX and SAGA.<li><b>- Dependability</b> providing reliability & high availability through checkpointing and replication.security ensuring trust and integrity according to customizable policies.</ul><br><br><b>No Account? <a href="uni_view.jsp?module=default&js=user_signup"><font color="white"> > Create One </font></a><</b><br>The registration is open to XtreemOS consortium only.</font></td></tr></table></div>';
Xtreemos.data.partners = [
    ['Caisse des D&eacute;p&ocirc;ts et Consignation','CDC','France','caissedesdepots.fr'],
    ['Institut National de Recherche en Informatique et en Automatique','INRIA','France','irisa.fr'],
    ['Science and Technology Facilities Coucil','STFC','United Kingdom','rl.ac.uk'],
    ['Consiglio Nazionale delle Ricerche','CNR','Italy','di.unipi.it'],
    ['European Aeronautic Defence and Space Company','EADS','France','eads.net'],
    ['Electricit&eacute; de France','EDF','France','edf.fr'],
    ['Edge-IT','EDGE','France','mandriva.com'],
    ['NEC High Performance Computing Europe GmbH (NEC-HPCE)','NEC','Germany','hpce.nec.com'],
    ['SAP','SAP','Germany','sap.com'],
    ['Barcelona Supercomputing Center - Centro Nacional de Supercomputaci&oacute;n (BSC-CNS)','BSC','Spain','bsc.es'],
    ['Universit&auml;t Ulm','ULM','Germany','uni-ulm.de'],
    ['Vrije Universiteit Amsterdam','VUA','The Netherlands','cs.vu.nl'],
    ['XLAB','XLAB','Slovenia','xlab.si'],
    ['Konrad-Zuse-Zentrum f&uuml;r Informationstechnik Berlin','ZIB','Germany','zib.de'],
    ['T6','T6','Italy','t-6.it'],
    ['Institute of Computing Technology of Chinese Academy of Sciences','ICT','China','ict.ac.cn'],
    ['Red Flag Software','RED','China','redflag-linux.com'],
    ['Telef&oacute;nica I+D','TID','Spain','tid.es'],
    ['Heinrich-Heine Universit&auml;tt D&uuml;sseldorf','UDUS','Germany','uni-duesseldorf.de'],
    ['Other','Other','Other','other.org']
    ];
Xtreemos.data.mockvos = [
    ['Testing VO','This is a testing VO','Alice@inria.fr'],
    ['VO in the Cloud','A testing VO behind which there is a Cloud Computing platform consists of 20 quad-core machines','Bob@ict.ac.cn']    
    ];
