Ext.apply(Ext.form.VTypes, {
    password : function(val, field) {
	if (field.initialPassField) {
	    var pwd = Ext.getCmp(field.initialPassField);
	    return (val == pwd.getValue()); 
	}
	return true;
    }
});

Ext.onReady(function(){
	Ext.QuickTips.init();
	Ext.form.Field.prototype.msgTarget = 'side';

	var structure = [
	   {
		header: 'Old Password',
		dataIndex: 'old_pass',
		options:{
			id: 'old_pass',
			inputType:'password',
			allowBlank:false,
			blankText:"Old password can not be empty"
			}
	    },{
		header: 'New Password',
		dataIndex: 'new_pass',
		options:{
			id: 'new_pass',
			inputType:'password',
			allowBlank:false,
			blankText:"New password can not be empty"
			}
	    },{
		header: 'Confirmed password',
		dataIndex: 'confirmed',
		options:{
			inputType:'password',
			allowBlank:false,
			initialPassField: 'new_pass',
			vtype: 'password',
			blankText:"Two new passwords should be identical and not empty"
		}
	    }
	];//items
	var form = new Ext.ux.form.SimpleForm({
		labelWidth: 120, // label settings here cascade unless overridden
		labelAlign:'right',
		frame:true,
		title: 'Change Password',
		url: '../model/user_passwd.jsp',
		bodyStyle:'padding:5px 5px 0',
		style:'margin:10px', 
		prefix:' password', 
		width: 400,
		structure: structure,	
		renderTo: 'form-ct'
	});      
});
