<%@include file="../include/config.inc" %>
<%
	String username = request.getParameter("uid");
	String passwd = request.getParameter("pwd");
	User user = null;
	XVOMSUtil xu = new XVOMSUtil();
	try {
		user = xu.getUser(username, passwd);
		Actor actor = user.getActor();
		Boolean bAdmin = actor.getName().equals("VOADMIN");
		Boolean bSysAdmin = user.getUsername().equals("admin");
		String user_guid = user.getGuid();

		//check approved flag
		if(!xu.isValid(user)){
			if(!user.getStatus().equals(XVOMSUtil.STATUS_APPROVED))
				out.print(failure("Sorry,current user has not been approved!"));
			else
				out.print(failure("Sorry, current user is expired!"));
			return ;
		}
		//Set Session variable
		session.setAttribute("username", username);
		session.setAttribute("isAdmin", bAdmin);
		session.setAttribute("isSysAdmin", bSysAdmin);
		session.setAttribute("user_guid", user_guid);
		out.print( success() );
	} catch (VOException ve) {
		out.print( failure(ve) );
	}
	finally {
		xu.close();
	}
%>
