<%@include file="../include/chkuser_ajax.inc"%>
<%@include file="../include/config.inc"%>
<%
	String user_guid = (String) session.getAttribute("user_guid");
	String func = request.getParameter("func");
	String gvid = request.getParameter("gvid");
	// System.out.println(func+" "+gvid);
	XVOMSUtil xu = new XVOMSUtil();

	try {
		User user = xu.getUserByGUID(user_guid);
		
		if ("joinvo".equals(func)) {
			VO vo = xu.getVOByGVID(gvid);
			//check if the current user has right
			VO myVo = vo; //new MyVO(vo, xu);
			if (!myVo.getOwner().getGuid().equals(user.getGuid())) {
				out.print("{success: false, errors: { reason: 'You are not the Owner of VO "
				+ myVo.getName() + "!'}}");
				return;
			}
			if (user.getVos().contains(vo)) {
				out.print("{success:true}");
				// System.out.println(func+" "+gvid);
				return;
			}
			xu.addUser(vo, user);
			// System.out.println("Join success!!");
			// System.out.println(func+" "+gvid);
			out.print("{success:true}");
			return;
		} else if ("leavevo".equals(func)) {
			VO vo = xu.getVOByGVID(gvid);
			if (xu.getAllVOs(user).contains(vo)) {
				out.print("{success:true}");
				return;
			}
			// xu.add(vo,user);
			out.print("{success:true}");
		} else if ("createresreq".equals(func)) {
			VO vo = xu.getVOByGVID(gvid);
			String resid = request.getParameter("resid");
			Resource res = xu.getResourceByID(resid);
			if (vo != null && res != null) {
			xu.addResourceRequest(vo, res, user);
			out.print("{success:true}");
			return;
			}
		} else if ("createvoreq".equals(func)) {
			VO vo = xu.getVOByGVID(gvid);
			if (vo != null) {
			xu.addUserRequest(vo, user);
			out.print("{success:true}");
			return;
			}
		} else if ("deletevo".equals(func)) {
			VO vo = xu.getVOByGVID(gvid);
			//requests
			Set reqs = new HashSet(vo.getRequests());
			if(reqs != null && reqs.size()>0){
				for (Iterator iter = reqs.iterator(); iter.hasNext();) {
					Request req = (Request) iter.next();
					req.getOwner().getRequests().remove(req);
					vo.getRequests().remove(req);
					xu.delete(req);
				}
			}

			//resources
			Set ress = new HashSet(vo.getResources());
			if(ress != null && ress.size()>0){
				for (Iterator iter = ress.iterator(); iter.hasNext();) {
					Resource res = (Resource) iter.next();
					res.getVos().remove(vo);
					vo.getResources().remove(res);
				}
			}
			//vogroups
			Set vogs = new HashSet(vo.getVogroups());
			if(vogs != null && vogs.size()>0){
				for (Iterator iter = vogs.iterator(); iter.hasNext();) {
					VOGroup vog = (VOGroup) iter.next();
					vo.getVogroups().remove(vog);
					vog.setVo(null);
				}
			}
		
			
			//users
			Set users = new HashSet(vo.getUsers());
			if(users != null && users.size()>0){
				for (Iterator iter = users.iterator(); iter.hasNext();) {
					User u = (User)iter.next();
				        u.getVos().remove(vo);	
					vo.getUsers().remove(u);
				}
			}
			User ur = vo.getOwner();
			ur.getOwnedvos().remove(vo);
			vo.setOwner(null);
			xu.delete(vo);
			//String resid = request.getParameter("resid");
			//Resource res = xu.getResourceByID(resid);
			out.print("{success:true}");
			return;
		}
		out.print("{success:true}");
	} catch (VOException e) {
		out.print("{success: false, errors: { reason: '" + "("
		+ e.getErrNo() + ")" + e.getMessage() + "'}}");
	} finally {
		xu.close();
	}
%>
